<?php
/**
 * @version    SVN: <svn_id>
 * @package    JTicketing
 * @author     Techjoomla <extensions@techjoomla.com>
 * @copyright  Copyright (c) 2009-2015 TechJoomla. All rights reserved.
 * @license    GNU General Public License version 2 or later.
 */
defined('_JEXEC') or die;
// Get logitude and latitude based on address
$address = str_replace(" ", "+", $this->item->location);
$url = "http://maps.google.com/maps/api/geocode/json?address=$address&sensor=true";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_PROXYPORT, 3128);
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
$response = curl_exec($ch);
curl_close($ch);
$response_a = json_decode($response);
$lat = $response_a->results[0]->geometry->location->lat;
$long = $response_a->results[0]->geometry->location->lng;

?>
	<div id="jticketing-event-map" class="well">

			<!-- begin: dynamic map -->
		<div id="event-map" >
			<?php echo JText::_('COM_JTICKETING_MAPS_LOADING'); ?>
		</div>
		<div class="" itemprop="location" itemscope itemtype="http://schema.org/Place">
			<div itemprop="address" itemscope itemtype="http://schema.org/PostalAddress">
				<br/>
				<span itemprop="streetAddress">
					<?php if (JVERSION >= 3.0) { ?>
						<i class="icon icon-location"></i>
					<?php } else { ?>
						<i class="icon-map-marker"></i>
					<?php } ?>
					<strong><?php echo JText::_('COM_JTICKETING_EVENT_LOCATION') . ' : '; ?></strong>
					<?php echo $this->item->location; ?>
				</span>
			</div>
		<hr class="hr hr-condensed"/>
			<div class="com_jticketing_align_center jticketing-map-export">
				<a href="http://maps.google.com/?q=<?php
				echo urlencode($this->item->location);
				?>" target="_blank"><?php echo JText::_('COM_JTICKETING_EVENTS_FULL_MAP'); ?></a>
				<br/>
				<a class="btn btn-sm btn-primary" href="index.php?option=com_jticketing&view=event&format=ical&id=<?php echo $this->item->id;?>" target="_blank">
					<span class="glyphicon glyphicon-export" aria-hidden="true"></span>
					<?php echo JText::_('COM_JTICKETING_EXPORT_ICAL'); ?>
				</a>
			</div>
		</div>
	</div>

<script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=true"></script>
<script>
function initialize() {

	lat = "<?php echo $lat; ?>"
	lon = "<?php echo $long; ?>"
  var myLatlng = new google.maps.LatLng(lat,lon);
  var mapOptions = {
    zoom: 10,
    center: myLatlng
  }
  var map = new google.maps.Map(document.getElementById('event-map'), mapOptions);

  var marker = new google.maps.Marker({
      position: myLatlng,
      map: map,

  });
}

google.maps.event.addDomListener(window, 'load', initialize);

</script>



